package org.ylhealth.ym.springtest.repo;

import java.util.List;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import org.ylhealth.ym.springtest.entity.CrmSystemL1basic;

public class CrmSystemL1basicRepoImpl implements CrmSystemL1basicRepoCustom {
  @PersistenceContext private EntityManager em;

  @Override
  public List<CrmSystemL1basic> getAllCustom(String id) {
    List<CrmSystemL1basic> data =
        em.createQuery("from CrmSystemL1basic where groupCode = :groupCode")
            .setParameter("groupCode", id)
            .setHint("org.hibernate.cacheable", "true")
            .getResultList();
    return data;
  }
}
