package org.ylhealth.ym.springtest.hibernate;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * 利用 annotation 處理多國語系轉換
 */
@Retention(RetentionPolicy.RUNTIME)
@Target({ElementType.TYPE})
public @interface I18NTranslate {
  /**
   * class 的欄位
   * @return
   */
  String field();
  /**
   * 對應的欄位
   * @return
   */
  String column() default "";
  
}
